Package weka.core.pmml.jaxbbindings

# Class DataField

java.lang.Object
weka.core.pmml.jaxbbindings.DataField

public class DataField extends Object

Java class for DataField element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="DataField">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Interval" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}Value" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
             </sequence>
             <attribute name="dataType" use="required" type="{http://www.dmg.org/PMML-4_1}DATATYPE" />
             <attribute name="displayName" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="isCyclic" default="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="0"/>
                   <enumeration value="1"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="name" use="required" type="{http://www.dmg.org/PMML-4_1}FIELD-NAME" />
             <attribute name="optype" use="required" type="{http://www.dmg.org/PMML-4_1}OPTYPE" />
             <attribute name="taxonomy" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataField()`
  `DataField(String name, OPTYPE optype)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addValue(Value v)`
  `DATATYPE`
  `getDataType()`
  Gets the value of the dataType property.
  `String`
  `getDisplayName()`
  Gets the value of the displayName property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `List<Interval>`
  `getInterval()`
  Gets the value of the interval property.
  `String`
  `getIsCyclic()`
  Gets the value of the isCyclic property.
  `String`
  `getName()`
  Gets the value of the name property.
  `OPTYPE`
  `getOptype()`
  Gets the value of the optype property.
  `String`
  `getTaxonomy()`
  Gets the value of the taxonomy property.
  `List<Value>`
  `getValues()`
  Gets the value of the value property.
  `void`
  `setDataType(DATATYPE value)`
  Sets the value of the dataType property.
  `void`
  `setDisplayName(String value)`
  Sets the value of the displayName property.
  `void`
  `setIsCyclic(String value)`
  Sets the value of the isCyclic property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setOptype(OPTYPE value)`
  Sets the value of the optype property.
  `void`
  `setTaxonomy(String value)`
  Sets the value of the taxonomy property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataField

    public DataField()

  - ### DataField

    public DataField(String name, OPTYPE optype)

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getInterval

    public List<Interval> getInterval()
    Gets the value of the interval property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the interval property.

    For example, to add a new item, do as follows:

            getInterval().add(newItem);

    Objects of the following type(s) are allowed in the list `Interval`

  - ### getValues

    public List<Value> getValues()
    Gets the value of the value property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the value property.

    For example, to add a new item, do as follows:

            getValue().add(newItem);

    Objects of the following type(s) are allowed in the list `Value`

  - ### addValue

    public void addValue(Value v)

  - ### getDataType

    public DATATYPE getDataType()
    Gets the value of the dataType property.
    Returns:
      possible object is `DATATYPE`

  - ### setDataType

    public void setDataType(DATATYPE value)
    Sets the value of the dataType property.
    Parameters:
      `value` - allowed object is `DATATYPE`

  - ### getDisplayName

    public String getDisplayName()
    Gets the value of the displayName property.
    Returns:
      possible object is `String`

  - ### setDisplayName

    public void setDisplayName(String value)
    Sets the value of the displayName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getIsCyclic

    public String getIsCyclic()
    Gets the value of the isCyclic property.
    Returns:
      possible object is `String`

  - ### setIsCyclic

    public void setIsCyclic(String value)
    Sets the value of the isCyclic property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOptype

    public OPTYPE getOptype()
    Gets the value of the optype property.
    Returns:
      possible object is `OPTYPE`

  - ### setOptype

    public void setOptype(OPTYPE value)
    Sets the value of the optype property.
    Parameters:
      `value` - allowed object is `OPTYPE`

  - ### getTaxonomy

    public String getTaxonomy()
    Gets the value of the taxonomy property.
    Returns:
      possible object is `String`

  - ### setTaxonomy

    public void setTaxonomy(String value)
    Sets the value of the taxonomy property.
    Parameters:
      `value` - allowed object is `String`